net.snowflake.client.loader

## Enum LoaderProperty

- java.lang.Object
- - java.lang.Enum<LoaderProperty>
  - - net.snowflake.client.loader.LoaderProperty

All Implemented Interfaces:
  Serializable, Comparable<LoaderProperty>

    public enum LoaderProperty
    extends Enum<LoaderProperty>

Configuration parameters for Loader

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`batchRowSize`
`columns`
`copyEmptyFieldAsEmpty`
`csvFileBucketSize`
`csvFileSize`
`databaseName`
`executeAfter`
`executeBefore`
`isFirstStartCall`
`isLastFinishCall`
`keys`
`mapTimeToTimestamp`
`oneBatch`
`operation`
`preserveStageFile`
`remoteStage`
`schemaName`
`startTransaction`
`tableName`
`testRemoteBadCSV`
`truncateTable`
`useLocalTimezone`

### Method Summary

All Methods Static Methods Concrete Methods
`static LoaderProperty` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LoaderProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### tableName

    public static final LoaderProperty tableName

#### schemaName

    public static final LoaderProperty schemaName

#### databaseName

    public static final LoaderProperty databaseName

#### remoteStage

    public static final LoaderProperty remoteStage

#### columns

    public static final LoaderProperty columns

#### keys

    public static final LoaderProperty keys

#### operation

    public static final LoaderProperty operation

#### startTransaction

    public static final LoaderProperty startTransaction

#### oneBatch

    public static final LoaderProperty oneBatch

#### truncateTable

    public static final LoaderProperty truncateTable

#### executeBefore

    public static final LoaderProperty executeBefore

#### executeAfter

    public static final LoaderProperty executeAfter

#### isFirstStartCall

    public static final LoaderProperty isFirstStartCall

#### isLastFinishCall

    public static final LoaderProperty isLastFinishCall

#### batchRowSize

    public static final LoaderProperty batchRowSize

#### csvFileBucketSize

    public static final LoaderProperty csvFileBucketSize

#### csvFileSize

    public static final LoaderProperty csvFileSize

#### preserveStageFile

    public static final LoaderProperty preserveStageFile

#### useLocalTimezone

    public static final LoaderProperty useLocalTimezone

#### copyEmptyFieldAsEmpty

    public static final LoaderProperty copyEmptyFieldAsEmpty

#### mapTimeToTimestamp

    public static final LoaderProperty mapTimeToTimestamp

#### testRemoteBadCSV

    public static final LoaderProperty testRemoteBadCSV

### Method Detail

#### values

    public static LoaderProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LoaderProperty c : LoaderProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LoaderProperty valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null